Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class PaymentTransaction129

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.PaymentTransaction129

    public class PaymentTransaction129
    extends java.lang.Object

Java class for PaymentTransaction129 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentTransaction129">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="StsId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text" minOccurs="0"/>
             <element name="OrgnlInstrId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text" minOccurs="0"/>
             <element name="OrgnlEndToEndId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text" minOccurs="0"/>
             <element name="OrgnlUETR" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}UUIDv4Identifier" minOccurs="0"/>
             <element name="TxSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ExternalPaymentTransactionStatus1Code" minOccurs="0"/>
             <element name="StsRsnInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}StatusReasonInformation12" maxOccurs="unbounded" minOccurs="0"/>
             <element name="ChrgsInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Charges7" maxOccurs="unbounded" minOccurs="0"/>
             <element name="TrckrData" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}TrackerData1" minOccurs="0"/>
             <element name="AccptncDtTm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ISODateTime" minOccurs="0"/>
             <element name="AcctSvcrRef" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text" minOccurs="0"/>
             <element name="ClrSysRef" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text" minOccurs="0"/>
             <element name="OrgnlTxRef" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}OriginalTransactionReference35" minOccurs="0"/>
             <element name="SplmtryData" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}SupplementaryData1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected javax.xml.datatype.XMLGregorianCalendar` `accptncDtTm`
`protected java.lang.String` `acctSvcrRef`
`protected java.util.List<Charges7>` `chrgsInf`
`protected java.lang.String` `clrSysRef`
`protected java.lang.String` `orgnlEndToEndId`
`protected java.lang.String` `orgnlInstrId`
`protected OriginalTransactionReference35` `orgnlTxRef`
`protected java.lang.String` `orgnlUETR`
`protected java.util.List<SupplementaryData1>` `splmtryData`
`protected java.lang.String` `stsId`
`protected java.util.List<StatusReasonInformation12>` `stsRsnInf`
`protected TrackerData1` `trckrData`
`protected java.lang.String` `txSts`

### Constructor Summary

Constructors
`PaymentTransaction129()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.datatype.XMLGregorianCalendar` `getAccptncDtTm()` Gets the value of the accptncDtTm property.
`java.lang.String` `getAcctSvcrRef()` Gets the value of the acctSvcrRef property.
`java.util.List<Charges7>` `getChrgsInf()` Gets the value of the chrgsInf property.
`java.lang.String` `getClrSysRef()` Gets the value of the clrSysRef property.
`java.lang.String` `getOrgnlEndToEndId()` Gets the value of the orgnlEndToEndId property.
`java.lang.String` `getOrgnlInstrId()` Gets the value of the orgnlInstrId property.
`OriginalTransactionReference35` `getOrgnlTxRef()` Gets the value of the orgnlTxRef property.
`java.lang.String` `getOrgnlUETR()` Gets the value of the orgnlUETR property.
`java.util.List<SupplementaryData1>` `getSplmtryData()` Gets the value of the splmtryData property.
`java.lang.String` `getStsId()` Gets the value of the stsId property.
`java.util.List<StatusReasonInformation12>` `getStsRsnInf()` Gets the value of the stsRsnInf property.
`TrackerData1` `getTrckrData()` Gets the value of the trckrData property.
`java.lang.String` `getTxSts()` Gets the value of the txSts property.
`void` `setAccptncDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the accptncDtTm property.
`void` `setAcctSvcrRef​(java.lang.String value)` Sets the value of the acctSvcrRef property.
`void` `setClrSysRef​(java.lang.String value)` Sets the value of the clrSysRef property.
`void` `setOrgnlEndToEndId​(java.lang.String value)` Sets the value of the orgnlEndToEndId property.
`void` `setOrgnlInstrId​(java.lang.String value)` Sets the value of the orgnlInstrId property.
`void` `setOrgnlTxRef​(OriginalTransactionReference35 value)` Sets the value of the orgnlTxRef property.
`void` `setOrgnlUETR​(java.lang.String value)` Sets the value of the orgnlUETR property.
`void` `setStsId​(java.lang.String value)` Sets the value of the stsId property.
`void` `setTrckrData​(TrackerData1 value)` Sets the value of the trckrData property.
`void` `setTxSts​(java.lang.String value)` Sets the value of the txSts property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### stsId

    protected java.lang.String stsId

#### orgnlInstrId

    protected java.lang.String orgnlInstrId

#### orgnlEndToEndId

    protected java.lang.String orgnlEndToEndId

#### orgnlUETR

    protected java.lang.String orgnlUETR

#### txSts

    protected java.lang.String txSts

#### stsRsnInf

    protected java.util.List<StatusReasonInformation12> stsRsnInf

#### chrgsInf

    protected java.util.List<Charges7> chrgsInf

#### trckrData

    protected TrackerData1 trckrData

#### accptncDtTm

    protected javax.xml.datatype.XMLGregorianCalendar accptncDtTm

#### acctSvcrRef

    protected java.lang.String acctSvcrRef

#### clrSysRef

    protected java.lang.String clrSysRef

#### orgnlTxRef

    protected OriginalTransactionReference35 orgnlTxRef

#### splmtryData

    protected java.util.List<SupplementaryData1> splmtryData

### Constructor Detail

#### PaymentTransaction129

    public PaymentTransaction129()

### Method Detail

#### getStsId

    public java.lang.String getStsId()

Gets the value of the stsId property.

Returns:
  possible object is `String`

#### setStsId

    public void setStsId​(java.lang.String value)

Sets the value of the stsId property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlInstrId

    public java.lang.String getOrgnlInstrId()

Gets the value of the orgnlInstrId property.

Returns:
  possible object is `String`

#### setOrgnlInstrId

    public void setOrgnlInstrId​(java.lang.String value)

Sets the value of the orgnlInstrId property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlEndToEndId

    public java.lang.String getOrgnlEndToEndId()

Gets the value of the orgnlEndToEndId property.

Returns:
  possible object is `String`

#### setOrgnlEndToEndId

    public void setOrgnlEndToEndId​(java.lang.String value)

Sets the value of the orgnlEndToEndId property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlUETR

    public java.lang.String getOrgnlUETR()

Gets the value of the orgnlUETR property.

Returns:
  possible object is `String`

#### setOrgnlUETR

    public void setOrgnlUETR​(java.lang.String value)

Sets the value of the orgnlUETR property.

Parameters:
  `value` - allowed object is `String`

#### getTxSts

    public java.lang.String getTxSts()

Gets the value of the txSts property.

Returns:
  possible object is `String`

#### setTxSts

    public void setTxSts​(java.lang.String value)

Sets the value of the txSts property.

Parameters:
  `value` - allowed object is `String`

#### getStsRsnInf

    public java.util.List<StatusReasonInformation12> getStsRsnInf()

Gets the value of the stsRsnInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stsRsnInf property.

For example, to add a new item, do as follows:

        getStsRsnInf().add(newItem);

Objects of the following type(s) are allowed in the list `StatusReasonInformation12`

#### getChrgsInf

    public java.util.List<Charges7> getChrgsInf()

Gets the value of the chrgsInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the chrgsInf property.

For example, to add a new item, do as follows:

        getChrgsInf().add(newItem);

Objects of the following type(s) are allowed in the list `Charges7`

#### getTrckrData

    public TrackerData1 getTrckrData()

Gets the value of the trckrData property.

Returns:
  possible object is `TrackerData1`

#### setTrckrData

    public void setTrckrData​(TrackerData1 value)

Sets the value of the trckrData property.

Parameters:
  `value` - allowed object is `TrackerData1`

#### getAccptncDtTm

    public javax.xml.datatype.XMLGregorianCalendar getAccptncDtTm()

Gets the value of the accptncDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setAccptncDtTm

    public void setAccptncDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the accptncDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getAcctSvcrRef

    public java.lang.String getAcctSvcrRef()

Gets the value of the acctSvcrRef property.

Returns:
  possible object is `String`

#### setAcctSvcrRef

    public void setAcctSvcrRef​(java.lang.String value)

Sets the value of the acctSvcrRef property.

Parameters:
  `value` - allowed object is `String`

#### getClrSysRef

    public java.lang.String getClrSysRef()

Gets the value of the clrSysRef property.

Returns:
  possible object is `String`

#### setClrSysRef

    public void setClrSysRef​(java.lang.String value)

Sets the value of the clrSysRef property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlTxRef

    public OriginalTransactionReference35 getOrgnlTxRef()

Gets the value of the orgnlTxRef property.

Returns:
  possible object is `OriginalTransactionReference35`

#### setOrgnlTxRef

    public void setOrgnlTxRef​(OriginalTransactionReference35 value)

Sets the value of the orgnlTxRef property.

Parameters:
  `value` - allowed object is `OriginalTransactionReference35`

#### getSplmtryData

    public java.util.List<SupplementaryData1> getSplmtryData()

Gets the value of the splmtryData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the splmtryData property.

For example, to add a new item, do as follows:

        getSplmtryData().add(newItem);

Objects of the following type(s) are allowed in the list `SupplementaryData1`